Skip to content

Get vendor by ID

Request

Security
oauth2ClientCredentials(Required scopes: vendors:read)
Path
idstringrequired

Vendor ID

Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

curl -i -X GET \
  'https://developer.boyahq.com/_mock/v2/openapi/vendors/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string'

Responses

Vendor details

Bodyapplication/json
_idstring

Vendor MongoDB ID

phonestring

Vendor phone number

emailstring

Vendor email address

contact_namestring

Contact person name

company_namestring

Company name

addressstring

Company address

descriptionstring

Vendor description

statusstring

Vendor status

Enum:"ACTIVE""INACTIVE""ARCHIVED"
payment_instructionsArray of objects(PaymentInstructionV1Dto)

Payment instructions array

taxIDstring

Tax identification number

read_onlyboolean

Whether vendor is read-only

externalIdstring

External system ID

createdAtstring

Created timestamp

updatedAtstring

Updated timestamp

__vnumber

Version key

Response
{ "_id": "string", "phone": "string", "email": "string", "contact_name": "string", "company_name": "string", "address": "string", "description": "string", "status": "ACTIVE", "payment_instructions": [ {} ], "taxID": "string", "read_only": true, "externalId": "string", "createdAt": "string", "updatedAt": "string", "__v": 0 }